/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.bescheid;

import de.ozgcloud.document.GrpcDocument;

public class GrpcDocumentTestFactory {

	public static final String ID = DocumentTestFactory.ID;
	public static final String TYPE = DocumentTestFactory.TYPE;
	public static final String FILE_ID = DocumentTestFactory.FILE_ID.toString();
	public static final String NACHRICHT_SUBJECT = DocumentTestFactory.NACHRICHT_SUBJECT;
	public static final String NACHRICHT_TEXT = DocumentTestFactory.NACHRICHT_TEXT;

	public static GrpcDocument create() {
		return createBuilder().build();
	}

	public static GrpcDocument.Builder createBuilder() {
		return GrpcDocument.newBuilder()
				.setId(ID)
				.setType(TYPE)
				.setFileId(FILE_ID)
				.setNachrichtSubject(NACHRICHT_SUBJECT)
				.setNachrichtText(NACHRICHT_TEXT);
	}
}
